JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker Struct Reference
juce_core » containers

A dummy bail-out checker that always returns false. More...

`#include <juce_ListenerList.h>`

## Public Member Functions
constexpr bool | shouldBailOut () const noexcept

## Detailed Description

template<class ListenerClass, class ArrayType = Array<ListenerClass*>>
struct ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker

A dummy bail-out checker that always returns false.

See the class description for info about writing a bail-out checker.

## Member Function Documentation

## ◆ shouldBailOut()

template<class ListenerClass , class ArrayType = Array<ListenerClass*>>

constexpr bool ListenerList< ListenerClass, ArrayType >::DummyBailOutChecker::shouldBailOut | ( |  | ) | const
| constexpr noexcept

The documentation for this struct was generated from the following file:

- juce_ListenerList.h